# Reporting API (v1)

{% hint style="info" %}
This document uses the v1 API, which will eventually be deprecated, as further Snyk developments are now focused on the REST API. For more details, see the [v1 API](/snyk-api/v1-api.md).
{% endhint %}

{% hint style="warning" %}
The endpoints in this category support only Snyk legacy reporting, not the latest release. They are not available in regions such as single-tenant or multi-tenant US02, EU, and AU; instead use the [Issues REST API](/snyk-api/reference/issues.md).
{% endhint %}

Using the Reporting API, you can find answers to questions like how many issues your Organization has, or how many tests have been conducted in a given time period.

The rate limit is up to **70 requests per minute, per user**. All requests above the limit will get a response with the status code `429 - Too many requests` until requests stop for the duration of the rate-limiting interval (one minute).

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/issues" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/issues/latest" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/counts/tests" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/counts/projects" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/counts/projects/latest" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/counts/issues" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/RZfnxxUyj5SqnqGc9IeH" path="/reporting/counts/issues/latest" method="post" %}
[v1-api-spec.yaml](https://2533899886-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MdwVZ6HOZriajCf5nXH%2Fuploads%2Fgit-blob-8a2db98aa2c704104a2d2b12ade020095a3fe51a%2Fv1-api-spec.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snyk.io/snyk-api/reference/reporting-api-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
